/*-
 * ~~~~~~licensing~~~~~~
 * connection-management
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.platform.core.management.connection.impl;

public class ManagedConnection {
	
	protected String name;
	protected boolean isPlatform;
	protected boolean isLocal;
	protected boolean isShared;
	protected long bundleId;
	protected boolean isDeployed;
	
	public String getName() {
		return name;
	}
	public boolean isPlatform() {
		return isPlatform;
	}
	public boolean isLocal() {
		return isLocal;
	}
	public boolean isShared() {
		return isShared;
	}
	public long getBundleId() {
		return bundleId;
	}
	public boolean isDeployed() {
		return isDeployed;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	public void setPlatform(boolean isPlatform) {
		this.isPlatform = isPlatform;
	}
	public void setLocal(boolean isLocal) {
		this.isLocal = isLocal;
	}
	public void setShared(boolean isShared) {
		this.isShared = isShared;
	}
	public void setBundleId(long bundleId) {
		this.bundleId = bundleId;
	}
	public void setDeployed(boolean isDeployed) {
		this.isDeployed = isDeployed;
	}
	
	public ManagedConnection name(String name) {
		setName(name);
		return this;
	}
	
	public ManagedConnection platform(boolean isPlatform) {
		setPlatform(isPlatform);
		return this;
	}
	
	public ManagedConnection local(boolean isLocal) {
		setLocal(isLocal);
		return this;
	}

	public ManagedConnection shared(boolean isShared) {
		setShared(isShared);
		return this;
	}
	
	public ManagedConnection bundleId(long bundleId) {
		setBundleId(bundleId);
		return this;
	}
	
	public ManagedConnection deployed(boolean deployed) {
		setDeployed(deployed);
		return this;
	}
}
